Bug 241660 - x11/virtualgl: Update to 2.6.3
Summary: x11/virtualgl: Update to 2.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-11-02 02:41 UTC by Theron Tarigo
Modified: 2020-05-30 17:55 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (davidjx8p)


Attachments
x11/virtualgl to 2.6.3 (8.94 KB, patch)
2019-11-02 02:41 UTC, Theron Tarigo
no flags Details | Diff
x11/virtualgl to 2.6.3, OPENCL on by default (8.96 KB, patch)
2019-11-02 14:43 UTC, Theron Tarigo
theron: maintainer-approval? (davidjx8p)
Details | Diff
virtualgl-2.6.3 patch #2 (9.93 KB, patch)
2020-04-16 00:37 UTC, Dan Nelson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Theron Tarigo freebsd_committer 2019-11-02 02:41:56 UTC
Created attachment 208784 [details]
x11/virtualgl to 2.6.3

This patch updates x11/virtualgl to release 2.6.3 (latest available).

VirtualGL upstream now supports Clang toolchain, so the source patches become unnecessary and are deleted.

2.6.3 is the first release to add some sort of OpenCL compatibility.  OPENCL option is added but left off by default.  Should that be so?  The VirtualGL release explicitly has it ON by default for FreeBSD but I don't have a test case for it.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-02 06:10:23 UTC
We lean towards valuable options being enabled by default for (binary) package users, unless there is an unnecessarily large dependency increase
Comment 2 Theron Tarigo freebsd_committer 2019-11-02 14:43:57 UTC
Created attachment 208800 [details]
x11/virtualgl to 2.6.3, OPENCL on by default
Comment 3 David Mackay 2019-11-04 18:14:18 UTC
OpenCL sees a lot of use nowadays, so enabling by default seems like a good idea. Looks good.
Comment 4 Theron Tarigo freebsd_committer 2019-11-09 16:52:00 UTC
What is still needed?  Has this been tested on ARCH=i386?
Comment 5 Dan Nelson 2020-04-16 00:37:28 UTC
Created attachment 213437 [details]
virtualgl-2.6.3 patch #2

Huh.  I happened to have made an almost-identical set of changes to update this port without realizing this PR existed.  I'm attaching my version which has a couple of changes relative to the first patch: 

Removes the noninja flag
Leaves docs at /usr/local/VirtualGL/doc
Adds xtst to USE_XORG; fails to build in poudriere otherwise
Removes -DVGL_SYSTEMGLX=on; not used anymore
Removes ${PREFIX}/VirtualGL/fakelib from USE_LDCONFIG; not used anymore
Use *_CMAKE_BOOL to set VGL_* flags
Adds a patch to allow shm segments to be autoremoved

I'd be happy if either patch got committed.  VirtualGL 2.4.1 is pretty old.
Comment 6 Theron Tarigo freebsd_committer 2020-05-25 20:17:27 UTC
(In reply to Dan Nelson from comment #5)
I haven't tested this yet, but shm autoremoval fix is a very welcome change.  I was dismayed to discover that unpatched 2.6.3 still had this problem.  Have you submitted that fix with the VirtualGL Project?
Comment 7 Dan Nelson 2020-05-26 01:18:35 UTC
I have now; see https://github.com/VirtualGL/virtualgl/pull/124
Comment 8 commit-hook freebsd_committer 2020-05-30 17:54:28 UTC
A commit references this bug:

Author: arrowd
Date: Sat May 30 17:53:44 UTC 2020
New revision: 537096
URL: https://svnweb.freebsd.org/changeset/ports/537096

Log:
  x11/virtualgl: Update to 2.6.3

  PR:		241660
  Submitted by:	theron,  Dan Nelson <dnelson_1901@yahoo.com>
  Approved by:	davidjx8p@gmail.com (maintainer timeout)

Changes:
  head/x11/virtualgl/Makefile
  head/x11/virtualgl/distinfo
  head/x11/virtualgl/files/patch-common__CMakeLists.txt
  head/x11/virtualgl/files/patch-include_Socket.h
  head/x11/virtualgl/files/patch-server__CMakeLists.txt
  head/x11/virtualgl/files/patch-server__fakerconfig.cpp
  head/x11/virtualgl/files/patch-util_Socket.cpp
  head/x11/virtualgl/files/patch-util__CMakeLists.txt
  head/x11/virtualgl/pkg-plist
Comment 9 Gleb Popov freebsd_committer 2020-05-30 17:55:41 UTC
Committed, thanks everyone.